package ru.micord.ervu.account_applications.component.model.dto;


import java.util.Set;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class SearchResponse<T> {
  private Set<T> records;
  private int page;
  private int perPage;
  private int totalRows;

  public Set<T> getRecords() {
    return records;
  }

  public void setRecords(Set<T> records) {
    this.records = records;
  }

  public int getPage() {
    return page;
  }

  public void setPage(int page) {
    this.page = page;
  }

  public int getPerPage() {
    return perPage;
  }

  public void setPerPage(int perPage) {
    this.perPage = perPage;
  }

  public int getTotalRows() {
    return totalRows;
  }

  public void setTotalRows(int totalRows) {
    this.totalRows = totalRows;
  }
}